Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158116 - SMB on FC4 desktop defined for a Win XP SP2 share hangs on open with hour glass. Force close - then FC4's home dir (home share?) popsup instead. username is used in several places - should be renamable.
Summary: SMB on FC4 desktop defined for a Win XP SP2 share hangs on open with hour gla...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL: http://forums.fedoraforum.org/showthr...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 19:49 UTC by Darwin H. Webb
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-13 20:14:58 UTC


Attachments (Terms of Use)

Description Darwin H. Webb 2005-05-18 19:49:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
The default share name for the home/username is username.
The new SELinux check box (allow home dir to be shared) seems to
automatically create the share? as I removed it after checking the
SELinux check box. And this is why.

A Windows share created on the linux desktop defaults to a name of
username or username(2) and can not be renamed.
This is a workgroup so at first time access (either side of the net) it
is auth with a username and password. 

But now when the Windows share on the FC4 desktop is opened for the first use, the wondow comes up white with hour glass mouse pointer. It stays that way unitl
the close x is clicked and conformation to force close the window.

Then out of the blue, the /home/username folder pops up as if one had
clicked on Home. 
Close that and try another route.

Click on properties of windows share and it asks for windws password,
accepts it and shows properties. Close that and clcik on windows share
again, ask for windows password, accepts, and open the share with files
in the windows correctly.

The double use of user name needs to be checked on?
This work fine in FC3 current updates applied samba 3.0.10.

The windows shares should be renameable and default should be something like a //unc //wincompt-share, not username, username(2), etc. The username all over the desktop is not very secure either. :)

Thank you,

Darwin

Version-Release number of selected component (if applicable):
samba 3.0.14a

How reproducible:
Always

Steps to Reproduce:
1.In samba GUI define workgroup, user account, password - init. setup
2. Define a share for the /home/username dir (a FC$ shared out)
3. Use Menu - Places, Connect to server, to set up the Windows sahre.
user, server, share, unix username, windows username

The connection icon is placed on the FC4 desktop as SMB username.

Clink on it and the window hangs, ....
  

Actual Results:  The SMB window share opens and hangs with hour glass, a force close popsup the username home dir.

Expected Results:  The SMB window share should have opened with all the windows share's files.
Not the FC4 /home/usernae' home dir. They are completely unrelayed.

Additional info:

Works fine in FC# current up2dates samba 3.0.10

Comment 1 Darwin H. Webb 2005-07-07 22:48:40 UTC
I have tested Samba-3.0.20pre1 RPMs in FC4 
The results are the same. The first time the Smb icon is used the browser hangs
and needs to be force closed.
The home linux dir then pops up?
Displaying the properties first tne then opening the shere a second time works.

The only think noticed differently was the .. file on the SAMBA directory has a
different SELinux context. I have no idea if this contributed to the problem.

Darwin H. Webb

Comment 2 Darwin H. Webb 2005-07-15 20:45:18 UTC
Additional testing with samba-3.0.20pre2
The individual SMB icons still hang and pop-up the linux user home dir.

The regular COMPTER browser use is workking;
shares open and ask for password.
Problem in this area were multple but but mainly being
a file "browser.bat" having the wrong permission on install.
Was 644, changed to 666 and all error messages ceased.
Selinux not blocking.

So this SMB Icon hang is most diffiently a bug and still alive and present.
You can see the history of my testing on the url

I am creating a new bug for the permissions problem.

Darwin

Comment 3 John Thacker 2007-01-13 20:14:58 UTC
(This is a mass update of bugs which have been in the NEEDINFO state unmodified
for over a year and have not been confirmed for a still supported version of
Fedora Core.)

Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.


Note You need to log in before you can comment on or make changes to this bug.